import path_setting
from in_common.base_request import BaseRequest


class visual_request(BaseRequest):
    def __init__(self):
        self.data = self.api_load(path_setting.VISUAL_CONFIG)

    # 签到--其他tab 美购feed——自定义专题
    def service_list(self, unit_id, page, current_city_id, order_by, area, tag_ids):
        self.params["unit_id"] = unit_id
        self.params["page"] = page
        self.params["current_city_id"] = current_city_id
        self.params["order_by"] = order_by
        self.params["area"] = area
        self.params["tag_ids"] = tag_ids
        return self.api_send(self.data['service_list'])

if __name__ == '__main__':
    print(visual_request().service_list(20236, 0, "beijing", 0, "worldwide", [66]))